Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webapp30
Interface WebApp30Descriptor

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebApp30Descriptor>

All Known Implementing Classes:
  WebApp30DescriptorImpl

    public interface WebApp30Descriptor

extends org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<WebApp30Descriptor>

This deployment descriptor provides the functionalities as described in the web-app_3_0.xsd specification

Example:

`WebApp30Descriptor descriptor = Descriptors.create(WebApp30Descriptor.class);`

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`AbsoluteOrderingType<WebApp30Descriptor>` | `absoluteOrdering()` Returns the `absolute-ordering` element
`ParamValueType<WebApp30Descriptor>` | `contextParam()` Returns the `context-param` element
`DataSourceType<WebApp30Descriptor>` | `dataSource()` Returns the `data-source` element
`WebApp30Descriptor` | `distributable()`
`EjbLocalRefType<WebApp30Descriptor>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<WebApp30Descriptor>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<WebApp30Descriptor>` | `envEntry()` Returns the `env-entry` element
`ErrorPageType<WebApp30Descriptor>` | `errorPage()` Returns the `error-page` element
`FilterType<WebApp30Descriptor>` | `filter()` Returns the `filter` element
`FilterMappingType<WebApp30Descriptor>` | `filterMapping()` Returns the `filter-mapping` element
`java.util.List<AbsoluteOrderingType<WebApp30Descriptor>>` | `getAbsoluteOrderingList()` Returns all `absolute-ordering` elements
`java.util.List<ParamValueType<WebApp30Descriptor>>` | `getContextParamList()` Returns all `context-param` elements
`java.util.List<DataSourceType<WebApp30Descriptor>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<WebApp30Descriptor>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<WebApp30Descriptor>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<WebApp30Descriptor>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<ErrorPageType<WebApp30Descriptor>>` | `getErrorPageList()` Returns all `error-page` elements
`java.util.List<FilterType<WebApp30Descriptor>>` | `getFilterList()` Returns all `filter` elements
`java.util.List<FilterMappingType<WebApp30Descriptor>>` | `getFilterMappingList()` Returns all `filter-mapping` elements
`java.util.List<IconType<WebApp30Descriptor>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JspConfigType<WebApp30Descriptor>>` | `getJspConfigList()` Returns all `jsp-config` elements
`java.util.List<ListenerType<WebApp30Descriptor>>` | `getListenerList()` Returns all `listener` elements
`java.util.List<LocaleEncodingMappingListType<WebApp30Descriptor>>` | `getLocaleEncodingMappingListList()` Returns all `locale-encoding-mapping-list` elements
`java.util.List<LoginConfigType<WebApp30Descriptor>>` | `getLoginConfigList()` Returns all `login-config` elements
`java.util.List<MessageDestinationType<WebApp30Descriptor>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<WebApp30Descriptor>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<MimeMappingType<WebApp30Descriptor>>` | `getMimeMappingList()` Returns all `mime-mapping` elements
`java.util.List<java.lang.String>` | `getModuleNameList()` Returns all `module-name` elements
`java.util.List<PersistenceContextRefType<WebApp30Descriptor>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<WebApp30Descriptor>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<WebApp30Descriptor>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<WebApp30Descriptor>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<WebApp30Descriptor>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<WebApp30Descriptor>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityConstraintType<WebApp30Descriptor>>` | `getSecurityConstraintList()` Returns all `security-constraint` elements
`java.util.List<SecurityRoleType<WebApp30Descriptor>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.util.List<ServletType<WebApp30Descriptor>>` | `getServletList()` Returns all `servlet` elements
`java.util.List<ServletMappingType<WebApp30Descriptor>>` | `getServletMappingList()` Returns all `servlet-mapping` elements
`java.util.List<SessionConfigType<WebApp30Descriptor>>` | `getSessionConfigList()` Returns all `session-config` elements
`WebAppVersionType` | `getVersion()` Returns the `version` element
`java.lang.String` | `getVersionAsString()` Returns the `version` element
`java.util.List<WelcomeFileListType<WebApp30Descriptor>>` | `getWelcomeFileListList()` Returns all `welcome-file-list` elements
`IconType<WebApp30Descriptor>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isDistributable()`
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`JspConfigType<WebApp30Descriptor>` | `jspConfig()` Returns the `jsp-config` element
`ListenerType<WebApp30Descriptor>` | `listener()` Returns the `listener` element
`LocaleEncodingMappingListType<WebApp30Descriptor>` | `localeEncodingMappingList()` Returns the `locale-encoding-mapping-list` element
`LoginConfigType<WebApp30Descriptor>` | `loginConfig()` Returns the `login-config` element
`MessageDestinationType<WebApp30Descriptor>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<WebApp30Descriptor>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MimeMappingType<WebApp30Descriptor>` | `mimeMapping()` Returns the `mime-mapping` element
`PersistenceContextRefType<WebApp30Descriptor>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<WebApp30Descriptor>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<WebApp30Descriptor>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<WebApp30Descriptor>` | `preDestroy()` Returns the `pre-destroy` element
`WebApp30Descriptor` | `removeAllAbsoluteOrdering()` Removes all `absolute-ordering` elements
`WebApp30Descriptor` | `removeAllContextParam()` Removes all `context-param` elements
`WebApp30Descriptor` | `removeAllDataSource()` Removes all `data-source` elements
`WebApp30Descriptor` | `removeAllDescription()` Removes the `description` element
`WebApp30Descriptor` | `removeAllDisplayName()` Removes the `display-name` element
`WebApp30Descriptor` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`WebApp30Descriptor` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`WebApp30Descriptor` | `removeAllEnvEntry()` Removes all `env-entry` elements
`WebApp30Descriptor` | `removeAllErrorPage()` Removes all `error-page` elements
`WebApp30Descriptor` | `removeAllFilter()` Removes all `filter` elements
`WebApp30Descriptor` | `removeAllFilterMapping()` Removes all `filter-mapping` elements
`WebApp30Descriptor` | `removeAllIcon()` Removes all `icon` elements
`WebApp30Descriptor` | `removeAllJspConfig()` Removes all `jsp-config` elements
`WebApp30Descriptor` | `removeAllListener()` Removes all `listener` elements
`WebApp30Descriptor` | `removeAllLocaleEncodingMappingList()` Removes all `locale-encoding-mapping-list` elements
`WebApp30Descriptor` | `removeAllLoginConfig()` Removes all `login-config` elements
`WebApp30Descriptor` | `removeAllMessageDestination()` Removes all `message-destination` elements
`WebApp30Descriptor` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`WebApp30Descriptor` | `removeAllMimeMapping()` Removes all `mime-mapping` elements
`WebApp30Descriptor` | `removeAllModuleName()` Removes the `module-name` element
`WebApp30Descriptor` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`WebApp30Descriptor` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`WebApp30Descriptor` | `removeAllPostConstruct()` Removes all `post-construct` elements
`WebApp30Descriptor` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`WebApp30Descriptor` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`WebApp30Descriptor` | `removeAllResourceRef()` Removes all `resource-ref` elements
`WebApp30Descriptor` | `removeAllSecurityConstraint()` Removes all `security-constraint` elements
`WebApp30Descriptor` | `removeAllSecurityRole()` Removes all `security-role` elements
`WebApp30Descriptor` | `removeAllServlet()` Removes all `servlet` elements
`WebApp30Descriptor` | `removeAllServletMapping()` Removes all `servlet-mapping` elements
`WebApp30Descriptor` | `removeAllSessionConfig()` Removes all `session-config` elements
`WebApp30Descriptor` | `removeAllWelcomeFileList()` Removes all `welcome-file-list` elements
`WebApp30Descriptor` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`WebApp30Descriptor` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<WebApp30Descriptor>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<WebApp30Descriptor>` | `resourceRef()` Returns the `resource-ref` element
`SecurityConstraintType<WebApp30Descriptor>` | `securityConstraint()` Returns the `security-constraint` element
`SecurityRoleType<WebApp30Descriptor>` | `securityRole()` Returns the `security-role` element
`ServletType<WebApp30Descriptor>` | `servlet()` Returns the `servlet` element
`ServletMappingType<WebApp30Descriptor>` | `servletMapping()` Returns the `servlet-mapping` element
`SessionConfigType<WebApp30Descriptor>` | `sessionConfig()` Returns the `session-config` element
`WebApp30Descriptor` | `setDescription(java.lang.String description)` Creates a new `description` element
`WebApp30Descriptor` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`WebApp30Descriptor` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`WebApp30Descriptor` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`WebApp30Descriptor` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`WebApp30Descriptor` | `setModuleName(java.lang.String moduleName)` Creates a new `module-name` element
`WebApp30Descriptor` | `setModuleNameList(java.lang.String... values)` Creates for all String objects representing `module-name` elements, a new `module-name` element
`WebApp30Descriptor` | `setVersion(java.lang.String version)` Sets the `version` attribute
`WebApp30Descriptor` | `setVersion(WebAppVersionType version)` Sets the `version` attribute
`WelcomeFileListType<WebApp30Descriptor>` | `welcomeFileList()` Returns the `welcome-file-list` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`exportAsString, exportTo, getDescriptorName`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace
`addDefaultNamespaces, addNamespace, getNamespaces, removeAllNamespaces`

Method Detail

### distributable

    WebApp30Descriptor distributable()

### isDistributable

    java.lang.Boolean isDistributable()

### removeAllContextParam

    WebApp30Descriptor removeAllContextParam()

  Removes all `context-param` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### contextParam

    ParamValueType<WebApp30Descriptor> contextParam()

  Returns the `context-param` element

  Returns:
    the node defined for the element `context-param`

### getContextParamList

    java.util.List<ParamValueType<WebApp30Descriptor>> getContextParamList()

  Returns all `context-param` elements

  Returns:
    list of `context-param`

### removeAllFilter

    WebApp30Descriptor removeAllFilter()

  Removes all `filter` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### filter

    FilterType<WebApp30Descriptor> filter()

  Returns the `filter` element

  Returns:
    the node defined for the element `filter`

### getFilterList

    java.util.List<FilterType<WebApp30Descriptor>> getFilterList()

  Returns all `filter` elements

  Returns:
    list of `filter`

### removeAllFilterMapping

    WebApp30Descriptor removeAllFilterMapping()

  Removes all `filter-mapping` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### filterMapping

    FilterMappingType<WebApp30Descriptor> filterMapping()

  Returns the `filter-mapping` element

  Returns:
    the node defined for the element `filter-mapping`

### getFilterMappingList

    java.util.List<FilterMappingType<WebApp30Descriptor>> getFilterMappingList()

  Returns all `filter-mapping` elements

  Returns:
    list of `filter-mapping`

### removeAllListener

    WebApp30Descriptor removeAllListener()

  Removes all `listener` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### listener

    ListenerType<WebApp30Descriptor> listener()

  Returns the `listener` element

  Returns:
    the node defined for the element `listener`

### getListenerList

    java.util.List<ListenerType<WebApp30Descriptor>> getListenerList()

  Returns all `listener` elements

  Returns:
    list of `listener`

### removeAllServlet

    WebApp30Descriptor removeAllServlet()

  Removes all `servlet` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### servlet

    ServletType<WebApp30Descriptor> servlet()

  Returns the `servlet` element

  Returns:
    the node defined for the element `servlet`

### getServletList

    java.util.List<ServletType<WebApp30Descriptor>> getServletList()

  Returns all `servlet` elements

  Returns:
    list of `servlet`

### removeAllServletMapping

    WebApp30Descriptor removeAllServletMapping()

  Removes all `servlet-mapping` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### servletMapping

    ServletMappingType<WebApp30Descriptor> servletMapping()

  Returns the `servlet-mapping` element

  Returns:
    the node defined for the element `servlet-mapping`

### getServletMappingList

    java.util.List<ServletMappingType<WebApp30Descriptor>> getServletMappingList()

  Returns all `servlet-mapping` elements

  Returns:
    list of `servlet-mapping`

### removeAllSessionConfig

    WebApp30Descriptor removeAllSessionConfig()

  Removes all `session-config` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### sessionConfig

    SessionConfigType<WebApp30Descriptor> sessionConfig()

  Returns the `session-config` element

  Returns:
    the node defined for the element `session-config`

### getSessionConfigList

    java.util.List<SessionConfigType<WebApp30Descriptor>> getSessionConfigList()

  Returns all `session-config` elements

  Returns:
    list of `session-config`

### removeAllMimeMapping

    WebApp30Descriptor removeAllMimeMapping()

  Removes all `mime-mapping` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### mimeMapping

    MimeMappingType<WebApp30Descriptor> mimeMapping()

  Returns the `mime-mapping` element

  Returns:
    the node defined for the element `mime-mapping`

### getMimeMappingList

    java.util.List<MimeMappingType<WebApp30Descriptor>> getMimeMappingList()

  Returns all `mime-mapping` elements

  Returns:
    list of `mime-mapping`

### removeAllWelcomeFileList

    WebApp30Descriptor removeAllWelcomeFileList()

  Removes all `welcome-file-list` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### welcomeFileList

    WelcomeFileListType<WebApp30Descriptor> welcomeFileList()

  Returns the `welcome-file-list` element

  Returns:
    the node defined for the element `welcome-file-list`

### getWelcomeFileListList

    java.util.List<WelcomeFileListType<WebApp30Descriptor>> getWelcomeFileListList()

  Returns all `welcome-file-list` elements

  Returns:
    list of `welcome-file-list`

### removeAllErrorPage

    WebApp30Descriptor removeAllErrorPage()

  Removes all `error-page` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### errorPage

    ErrorPageType<WebApp30Descriptor> errorPage()

  Returns the `error-page` element

  Returns:
    the node defined for the element `error-page`

### getErrorPageList

    java.util.List<ErrorPageType<WebApp30Descriptor>> getErrorPageList()

  Returns all `error-page` elements

  Returns:
    list of `error-page`

### removeAllJspConfig

    WebApp30Descriptor removeAllJspConfig()

  Removes all `jsp-config` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### jspConfig

    JspConfigType<WebApp30Descriptor> jspConfig()

  Returns the `jsp-config` element

  Returns:
    the node defined for the element `jsp-config`

### getJspConfigList

    java.util.List<JspConfigType<WebApp30Descriptor>> getJspConfigList()

  Returns all `jsp-config` elements

  Returns:
    list of `jsp-config`

### removeAllSecurityConstraint

    WebApp30Descriptor removeAllSecurityConstraint()

  Removes all `security-constraint` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### securityConstraint

    SecurityConstraintType<WebApp30Descriptor> securityConstraint()

  Returns the `security-constraint` element

  Returns:
    the node defined for the element `security-constraint`

### getSecurityConstraintList

    java.util.List<SecurityConstraintType<WebApp30Descriptor>> getSecurityConstraintList()

  Returns all `security-constraint` elements

  Returns:
    list of `security-constraint`

### removeAllLoginConfig

    WebApp30Descriptor removeAllLoginConfig()

  Removes all `login-config` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### loginConfig

    LoginConfigType<WebApp30Descriptor> loginConfig()

  Returns the `login-config` element

  Returns:
    the node defined for the element `login-config`

### getLoginConfigList

    java.util.List<LoginConfigType<WebApp30Descriptor>> getLoginConfigList()

  Returns all `login-config` elements

  Returns:
    list of `login-config`

### removeAllSecurityRole

    WebApp30Descriptor removeAllSecurityRole()

  Removes all `security-role` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### securityRole

    SecurityRoleType<WebApp30Descriptor> securityRole()

  Returns the `security-role` element

  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    java.util.List<SecurityRoleType<WebApp30Descriptor>> getSecurityRoleList()

  Returns all `security-role` elements

  Returns:
    list of `security-role`

### removeAllMessageDestination

    WebApp30Descriptor removeAllMessageDestination()

  Removes all `message-destination` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### messageDestination

    MessageDestinationType<WebApp30Descriptor> messageDestination()

  Returns the `message-destination` element

  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    java.util.List<MessageDestinationType<WebApp30Descriptor>> getMessageDestinationList()

  Returns all `message-destination` elements

  Returns:
    list of `message-destination`

### removeAllLocaleEncodingMappingList

    WebApp30Descriptor removeAllLocaleEncodingMappingList()

  Removes all `locale-encoding-mapping-list` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### localeEncodingMappingList

    LocaleEncodingMappingListType<WebApp30Descriptor> localeEncodingMappingList()

  Returns the `locale-encoding-mapping-list` element

  Returns:
    the node defined for the element `locale-encoding-mapping-list`

### getLocaleEncodingMappingListList

    java.util.List<LocaleEncodingMappingListType<WebApp30Descriptor>> getLocaleEncodingMappingListList()

  Returns all `locale-encoding-mapping-list` elements

  Returns:
    list of `locale-encoding-mapping-list`

### setDescription

    WebApp30Descriptor setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `WebApp30Descriptor`

### setDescriptionList

    WebApp30Descriptor setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `WebApp30Descriptor`

### removeAllDescription

    WebApp30Descriptor removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `WebApp30Descriptor`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    WebApp30Descriptor setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `WebApp30Descriptor`

### setDisplayNameList

    WebApp30Descriptor setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `WebApp30Descriptor`

### removeAllDisplayName

    WebApp30Descriptor removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `WebApp30Descriptor`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    WebApp30Descriptor removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### icon

    IconType<WebApp30Descriptor> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<WebApp30Descriptor>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeAllEnvEntry

    WebApp30Descriptor removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### envEntry

    EnvEntryType<WebApp30Descriptor> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<WebApp30Descriptor>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    WebApp30Descriptor removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### ejbRef

    EjbRefType<WebApp30Descriptor> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<WebApp30Descriptor>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    WebApp30Descriptor removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### ejbLocalRef

    EjbLocalRefType<WebApp30Descriptor> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<WebApp30Descriptor>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    WebApp30Descriptor removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### resourceRef

    ResourceRefType<WebApp30Descriptor> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<WebApp30Descriptor>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    WebApp30Descriptor removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### resourceEnvRef

    ResourceEnvRefType<WebApp30Descriptor> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<WebApp30Descriptor>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    WebApp30Descriptor removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### messageDestinationRef

    MessageDestinationRefType<WebApp30Descriptor> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<WebApp30Descriptor>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    WebApp30Descriptor removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### persistenceContextRef

    PersistenceContextRefType<WebApp30Descriptor> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<WebApp30Descriptor>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    WebApp30Descriptor removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### persistenceUnitRef

    PersistenceUnitRefType<WebApp30Descriptor> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<WebApp30Descriptor>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    WebApp30Descriptor removeAllPostConstruct()

  Removes all `post-construct` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### postConstruct

    LifecycleCallbackType<WebApp30Descriptor> postConstruct()

  Returns the `post-construct` element

  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    java.util.List<LifecycleCallbackType<WebApp30Descriptor>> getPostConstructList()

  Returns all `post-construct` elements

  Returns:
    list of `post-construct`

### removeAllPreDestroy

    WebApp30Descriptor removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### preDestroy

    LifecycleCallbackType<WebApp30Descriptor> preDestroy()

  Returns the `pre-destroy` element

  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    java.util.List<LifecycleCallbackType<WebApp30Descriptor>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Returns:
    list of `pre-destroy`

### removeAllDataSource

    WebApp30Descriptor removeAllDataSource()

  Removes all `data-source` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### dataSource

    DataSourceType<WebApp30Descriptor> dataSource()

  Returns the `data-source` element

  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    java.util.List<DataSourceType<WebApp30Descriptor>> getDataSourceList()

  Returns all `data-source` elements

  Returns:
    list of `data-source`

### setVersion

    WebApp30Descriptor setVersion(WebAppVersionType version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebApp30Descriptor`

### setVersion

    WebApp30Descriptor setVersion(java.lang.String version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebApp30Descriptor`

### removeVersion

    WebApp30Descriptor removeVersion()

  Removes the `version` attribute

  Returns:
    the current instance of `WebApp30Descriptor`

### getVersion

    WebAppVersionType getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### getVersionAsString

    java.lang.String getVersionAsString()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### setMetadataComplete

    WebApp30Descriptor setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `WebApp30Descriptor`

### removeMetadataComplete

    WebApp30Descriptor removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Returns:
    the current instance of `WebApp30Descriptor`

### isMetadataComplete

    java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Returns:
    the node defined for the element `metadata-complete`

### setModuleName

    WebApp30Descriptor setModuleName(java.lang.String moduleName)

  Creates a new `module-name` element

  Returns:
    the current instance of `WebApp30Descriptor`

### setModuleNameList

    WebApp30Descriptor setModuleNameList(java.lang.String... values)

  Creates for all String objects representing `module-name` elements, a new `module-name` element

  Parameters:
    `list` - of `module-name` objects
  Returns:
    the current instance of `WebApp30Descriptor`

### removeAllModuleName

    WebApp30Descriptor removeAllModuleName()

  Removes the `module-name` element

  Returns:
    the current instance of `WebApp30Descriptor`

### getModuleNameList

    java.util.List<java.lang.String> getModuleNameList()

  Returns all `module-name` elements

  Returns:
    list of `module-name`

### removeAllAbsoluteOrdering

    WebApp30Descriptor removeAllAbsoluteOrdering()

  Removes all `absolute-ordering` elements

  Returns:
    the current instance of `WebApp30Descriptor`

### absoluteOrdering

    AbsoluteOrderingType<WebApp30Descriptor> absoluteOrdering()

  Returns the `absolute-ordering` element

  Returns:
    the node defined for the element `absolute-ordering`

### getAbsoluteOrderingList

    java.util.List<AbsoluteOrderingType<WebApp30Descriptor>> getAbsoluteOrderingList()

  Returns all `absolute-ordering` elements

  Returns:
    list of `absolute-ordering`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD